import request from '@/utils/request'

import useUserStore from '@/store/modules/user'
const userStore = useUserStore()
let devCode = JSON.parse(localStorage.getItem('devStorage')).devCode
let userCode = userStore.userCode

let checkQuery = {
    devCode,
    userCode
}
// 
export function getTotalAcceptInfo(query) {
    return request({
        url: '/pms/output/getTotalAcceptInfo',
        method: 'get',
        params: Object.assign({}, checkQuery, query)
    })
}

export function list(query) {
    return request({
        url: '/pms/output/ordersList',
        method: 'get',
        params: Object.assign({}, checkQuery, query)
    })
}

//接单
export function acceptOrder(query) {
    return request({
        url: '/pms/output/acceptOrder',
        method: 'get',
        params: Object.assign({}, checkQuery, query)
    })
}

//开始工作
export function startWork(query) {
    return request({
        url: '/pms/output/startWork',
        method: 'get',
        params: Object.assign({}, checkQuery, query)
    })
}

